/* WINTYPE.H - Windows class for X

  Rhett D. Jacobs   <rhett@jaemol.cbr.fidonet.org>

  Version 1.0

  Last Modified: 1/1/95
  */

#ifndef WINTYPE_H
#define WINTYPE_H

#include <stdio.h>
#include <stdlib.h>
#include <X11/Xlib.h>    
#include <X11/Xutil.h>    
#include <X11/keysym.h>

#include "bitmaps/Xtron_icon.h"

extern Display *display;
extern int screen;
extern Window main_window;
extern GC gc;
extern unsigned long foreground;
extern unsigned long background;

void win_setup(void);
void win_shutdown(void);
GC win_getGC(void);
Window win_open(int x, int y, int width, int height, int border_width,
		Window parent, int istoplevel, int argc, char *argv[],
		char *win_name);

#endif
